<style scoped="">
.tech_support{
  padding-top: 120px;
  padding-bottom: 158px;
}

.tech_title{
  color: #353556;
  font-size: 36px;
  text-align: center;
  line-height: 1;
  padding-bottom: 28px;
}
.tech_des{
  font-size: 16px;
  line-height: 24px;
  text-align: center;
  color: #353556;
  font-weight: 300;
  padding-bottom: 68px;
  margin-left: 10px;
  margin-right: 10px;
}
.vertical_slider_pane{
  display: flex;
}
.v_s_item_pane{
  padding: 9px;
  padding-bottom: 46px;
  display: none;
}
.v_s_item_pane_selectd{
  display: block;
}
.v_s_item_pane_hide{
  display: none;
}
.v_s_nav{
  max-width: 100%;
  /*min-width: 300px;*/
  box-sizing: border-box;
  padding-right: 94px;
}
.v_s_nav ul li{
  list-style: none;
  line-height: 62px;
  font-size: 16px;
  padding: 0px 34px;
  cursor: pointer;
  display: flex;
  align-items: center;
  white-space: nowrap;
}
.v_s_nav ul li:hover, .v_s_nav ul li.selected{
  box-shadow: 0px 0px 28px #0000001f;
  border-radius: 4px;
}
.v_s_nav ul li .v_s_icon{
  width: 27px;
  height: 27px;
  min-width: 27px;
  margin-right: 18px;
}
.v_s_nav ul li .v_s_icon img{
  display: block;
  width: 100%;
}
.v_s_content_pane{
  width: 100%;
  box-shadow: 0px 0px 10px #00000021;
  border-radius: 2px;
}

.v_s_ip_pic{
  height: 272px;
  background-size: cover;
}
.v_s_ip_pic img{
  display: block;
  width: 100%;
}
.v_s_item_text{
  padding: 0px 26px;
}
.v_s_item_title{
  font-size: 24px;
  line-height: 36px;
  padding-top: 34px;
  padding-bottom: 20px;
}
.v_s_item_brief{
  font-size: 16px;
  line-height: 24px;
}
.bg_all{
  background-image: url('../assets/images/区块链溯源-配图@2x.png'), 
  url('../assets/images/证书存证-配图@2x.png'),  
  url('../assets/images/资产流转@2x.png'),  
  url('../assets/images/区块链溯源icon-02@2x.png'),  
  url('../assets/images/证书存证icon-02@2x.png'),  
  url('../assets/images/资产流转icon-02@2x.png'),  
  url('../assets/images/适配跨链服务@2x.png'),  
  url('../assets/images/可定制的区块链框架-未选中@2x.png');
}
@media (max-width: 800px) {
  .v_s_nav{
    display: none;
  }
  .v_s_item_pane{
    display: block;
    padding-bottom: 15px;
  }
  .v_s_item_title{
    font-size: 18px;
    padding-top: 10px;
    padding-bottom: 10px;
    line-height: 1;
  }
  .v_s_item_brief{
    font-size: 13px;
    color: #676767;
  }
  .v_s_item_text{
    padding: 0px;
  }
  .tech_support{
    padding-bottom: 0px;
    padding-top: 60px;
  }
}
</style>
<template>
<div class="tech_support">
  <a :name="title"></a>
  <div class="comm_width">
    <h2 class="tech_title" v-html="title">
    </h2>
    <div class="tech_des">
      {{ description }}
    </div>

    <!--  -->
    <div class="vertical_slider_pane">

      <div class="v_s_nav">
        <ul>

          <li v-for="item, index in data" v-bind:class="{'selected': index == selected}" @click="select(index)">
            <span class="v_s_icon">
              <img  v-bind:src="item.nav.img" :alt="item.nav.alt">
            </span>
            <span>{{ item.nav.title }}</span>
          </li>

        </ul>
      </div>

      <div class="v_s_content_pane">

        <div class="v_s_item_pane" v-for="item, index in data" v-bind:class="{'v_s_item_pane_selectd': index == selected}">
          <div class="v_s_ip_pic" v-bind:style="get_bg(item)">
            <!-- <img src="https://www.shuyuchain.com/可定制的区块链框架@2x.png"> -->
          </div>
          <div class="v_s_item_text">
            <h4 class="v_s_item_title" v-html="item.content.title">
            </h4>
            <p class="v_s_item_brief" v-html="item.content.brief">
            </p>
          </div>
        </div>

      </div>

    </div>
    <!--  -->

  </div>
</div>
</template>
<script>
import { lang, set_lang } from '@/data/langs/index.js'
export default {
  data () {
    return {
      lang,
      selected: 0,
    }
  },

  props: {
    title: {
      type: String,
      default () {
        return '区块链开发解决方案';
      }
    },
    description: {
      type: String,
      default () {
        return '';
      }
    },
    data: {
      type: Array,
      default () {
        return [
                  {
                    nav: {
                      'title': '区块链溯源',
                      'img': 'https://www.shuyuchain.com/static/5800a8610713b76ab97deeaf2f7a9b9a.png',
                      'alt': '区块链开发技术',
                    },
                    content: {
                      'background': '/dist/区块链溯源-配图@2x.png',
                      'title': '区块链溯源',
                      'brief': `
                                以<b>区块链开发技术体系</b>为基础，保证整个生态系统的公平、公正性。 借助智能合约技术，构筑供应链上信任和服务的价值流动平台。利用数字签名、不可篡改和IOT等技术将商品的物流、资金流、信息流信息进行最小商品粒度全生命周期的追溯，助力零售商、品牌方、生产方、物流、仓储各个环节高效协同向新零售转型。
                                      `
                    }
                  },


                  {
                    nav: {
                      'title': '区块链证书存证',
                      'img': 'https://www.shuyuchain.com/static/da1dc4efa6bd955a7783084d4ded5ba0.png',
                      'alt': '区块链开发项目',
                    },
                    content: {
                      'background': '/dist/证书存证-配图@2x.png',
                      'title': '区块链证书存证',
                      'brief': `
                        基于<b>区块链开发技术的合同管理方案</b>。将投前投后证件、证书、合同等重要文档数字化，经过认证机构审核后存证于区块链、专用联盟链上。利用<strong>区块链开发技术</strong>不可篡改特性，解决证书、票据、合同等信任问题，可基于<b>联盟链开发技术</b>为监管机构、金融服务提供商等提供可信数据和法律存证，支持多级加密算法与身份验证开发技术，全方位保障用户数据安全。
                      `
                    }
                  },

                  {
                    nav: {
                      'title': '区块链资产流转',
                      'img': 'https://www.shuyuchain.com/static/2fccf174f39bec561888d18195262718.png',
                      'alt': '区块链开发团队',
                    },
                    content: {
                      'background': '/dist/资产流转@2x.png',
                      'title': '区块链资产流转',
                      'brief': `
                        基于区块链开发技术的基金和公司股权管理及交易平台，通过数字签名等开发技术确保法律效益，提供强大的智能合约开发支持可编程开发的股权激励方式。通过联盟链智能合约，用户可在无需中介的情况下，让股权资产能在区块链、<strong>联盟链</strong>环境下高效的管理、畅通的变现、可信的交易、即刻的清算。
                      `
                    }
                  }
                ]
      }
    }
  },

  methods: {
    select (index) {
      this.selected = index;
    },

    get_bg (item) {
      return {
        backgroundImage: `url(${ item.content.background })`
      }
    }
  }
}
</script>




